CognitiveX Docs
API

GET /api/social/inbox

Get Inbox

GET /api/social/inbox

Get Inbox

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Example request

curl -X GET https://api.cognitivx.io/api/social/inbox \
  -H "Authorization: Bearer icog_..."

Example response

200 application/json

[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "shared_item_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "item_type": "semantic",
    "title": null,
    "from_username": "production",
    "from_display_name": "production",
    "from_avatar_url": "https://example.com",
    "content_preview": "Parsa prefers limit/offset pagination",
    "seen": false,
    "created_at": "2026-06-16T08:30:00Z"
  }
]

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.